summaryrefslogtreecommitdiff
path: root/localgitpdebuild
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2007-12-13 12:33:22 +0000
committerJonas Smedegaard <dr@jones.dk>2007-12-13 12:33:22 +0000
commitaac475efb10d750965c794c1e5241a36103ef691 (patch)
tree3089f1f0864aaa9a22bd266030b798afc99770e2 /localgitpdebuild
parentc39fa76a48ca767bec7e298e20984530da7ce8ee (diff)
Add new helper scripts for use with git-buildpackage.
Diffstat (limited to 'localgitpdebuild')
-rwxr-xr-xlocalgitpdebuild56
1 files changed, 56 insertions, 0 deletions
diff --git a/localgitpdebuild b/localgitpdebuild
new file mode 100755
index 0000000..0154854
--- /dev/null
+++ b/localgitpdebuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+set -e
+
+function showhelp() {
+ echo "Usage: $(basename $0) POOL [debbuildopts] [-- pbuilderopts]"
+ echo ""
+ echo "Example: $(basename $0) sarge_with_hacks -B"
+}
+
+if [ $# -eq 0 ]; then
+ showhelp
+ exit 1
+fi
+
+pools=''
+pdebuildopts=''
+debbuildopts=''
+while [ $# -gt 0 ]; do
+ case $1 in
+ -h|--help)
+ showhelp
+ exit 0
+ ;;
+ --)
+ shift
+ break
+ ;;
+ --*)
+ echo "ERROR: Unknown argument \"$1\"!" &>2
+ showhelp
+ exit 1
+ ;;
+ -*)
+ debbuildopts="$debbuildopts $1"
+ shift
+ ;;
+ *)
+ pools="$pools $1"
+ shift
+ ;;
+ esac
+done
+
+for pool in $pools; do
+ pdebuild \
+ --buildresult $HOME/src/pbuild-$pool/ \
+ --debbuildopts "-i\.git/ -I.git $debbuildopts" \
+ $pdebuildopts \
+ -- \
+ --basetgz /var/cache/pbuilder/base-$pool.tgz \
+ --buildplace /var/cache/pbuilder/build-$pool/ \
+ --aptcache /var/cache/pbuilder/aptcache-$pool/ \
+ --pkgname-logfile \
+ $@
+done